# ImportWizardModelColumn (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardModelColumn

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardModelColumn

-     public class ImportWizardModelColumn
      extends java.lang.Object

  Wrapper for `ImportColumn` used in the wizard context This is a wrapper for `ImportColumn`. It essentially adds an property indicating whether a column is enabled `enabled`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportWizardModelColumn(ImportColumn column)` Creates a new instance for the given column.
    `ImportWizardModelColumn(ImportColumn column, boolean enabled)` Creates a new instance for the given column.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImportColumn` | `getColumn()`
    `boolean` | `isEnabled()`
    `void` | `setColumn(ImportColumn column)`
    `void` | `setEnabled(boolean enabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportWizardModelColumn

          public ImportWizardModelColumn(ImportColumn column)

      Creates a new instance for the given column.
      Parameters:
        `column` - Column that should be wrapped around

    - #### ImportWizardModelColumn

          public ImportWizardModelColumn(ImportColumn column,
                                 boolean enabled)

      Creates a new instance for the given column.
      Parameters:
        `column` - Column that should be wrapped around
        `enabled` -

  - ### Method Detail

    - #### getColumn

          public ImportColumn getColumn()

      Returns:
        `column`

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        `enabled`

    - #### setColumn

          public void setColumn(ImportColumn column)

      Parameters:
        `column` -

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Parameters:
        `enabled` - `enabled`